Package Details: xfce4-topmenu-plugin-git 2015.12.10-1

Git Clone URL: https://aur.archlinux.org/xfce4-topmenu-plugin-git.git (read-only, click to copy)
Package Base: xfce4-topmenu-plugin-git
Description: A standalone global menu bar for Gtk+ 2.0 based desktop environments.
Upstream URL: https://git.javispedro.com/cgit/topmenu-gtk.git/about/
Licenses: LGPL3
Provides: xfce4-topmenu-plugin
Submitter: gborzi
Maintainer: hayao
Last Packager: hayao
Votes: 30
Popularity: 0.000000
First Submitted: 2015-02-13 20:05 (UTC)
Last Updated: 2021-04-27 12:36 (UTC)

Dependencies (6)

Required by (1)

Sources (1)

Latest Comments

1 2 Next › Last »

cindrmon commented on 2021-06-23 04:46 (UTC)

Why do I keep getting this error when I try installing this with XFCE? I already have topmenu-gtk-git installed as well. What am I doing wrong?

    configure: error: in `/home/cinder/.cache/yay/xfce4-topmenu-plugin-git/src/topmenu-gtk':
    configure: error: --enable-xfce-applet was given, but test for libxfce4panel failed
    See `config.log' for more details
    ==> ERROR: A failure occurred in build().
        Aborting...
    error making: xfce4-topmenu-plugin-git

micwoj92 commented on 2021-04-26 15:32 (UTC)

Well, it's orphan ;p

dreieck commented on 2021-04-26 15:24 (UTC)

Please add provides=("xfce4-topmenu-plugin=${pkgver}").

Thanks for maintaining!

gborzi commented on 2017-06-19 17:55 (UTC)

@pegasusearl You need to define the GTK_MODULES environment variable to make the plugin work with gtk2 apps. For example, in my ~/.xprofile file I have the following lines NEWGTKMOD="topmenu-gtk-module" if [[ -z $GTK_MODULES ]]; then GTK_MODULES="$NEWGTKMOD" else GTK_MODULES="$GTK_MODULES:$NEWGTKMOD" fi unset NEWGTKMOD export GTK_MODULES The plugin work with qt4 apps (but not qt5) if you install the topmenu-qt package.

pegasusearl commented on 2017-06-19 16:34 (UTC)

I just installed it and put the plugin in the panel but,... . When I opened window, the menu still in the same place, nothing different. Plugin still blank. I tried with smplayer, krita, inkscape, synfigstudio.

f2404 commented on 2017-02-23 15:28 (UTC)

@sheylin The author page is saying the following - I take that that's exactly what you're seeing: Please note that there is a known crash with Gtk+>=3.20, which I don't know how to fix. I don't have time to follow all of Gtk+ 3 changes.

sheylin commented on 2016-12-16 00:37 (UTC)

Just wanted to let you guys know, I contacted the author about this issue and am still waiting to hear from him. Out of curiosity, is anyone else experiencing problems with xfce-temrinal / transmission / gtk3 apps? Just so I rule out a global bug and know it's probably my configuration or system?

gborzi commented on 2016-11-21 00:22 (UTC)

@sheylin It's an upstream bug, I don't know any fix.

sheylin commented on 2016-11-20 22:43 (UTC)

Hey, for gtk2 apps topmenu is working fine for me. however gtk3 apps (in this case) xfce4-terminal crash when I click on any menu item. dmesg shows: [ 1304.854247] xfce4-terminal[13184]: segfault at 60 ip 00007f8ff402bab0 sp 00007ffde2890798 error 4 in libgtk-3.so.0.2200.4[7f8ff3eab000+6f4000] [ 1318.173145] xfce4-terminal[13440]: segfault at 60 ip 00007fc5ef5f6ab0 sp 00007ffef619dac8 error 4 in libgtk-3.so.0.2200.4[7fc5ef476000+6f4000] [ 2591.392348] xfce4-terminal[14076]: segfault at 60 ip 00007fe3fd4f3ab0 sp 00007ffc60553de8 error 4 in libgtk-3.so.0.2200.4[7fe3fd373000+6f4000]

gborzi commented on 2016-08-19 08:02 (UTC)

@bartus I contacted the upstream author about the SSL problem, but no answer until now. In the meantime you can deactivate git SSL check with "git config --global http.sslVerify false"